package edu.whs.spin2018.baoapp.views.spiel;

import android.content.Context;
import android.support.v7.widget.AppCompatButton;
import android.util.AttributeSet;

import edu.whs.spin2018.baoapp.model.spiel.Position;

/**
 * Repräsentiert einen Button bzw. AppCompatButton mit dem Extra, dass der jeweilige Button eine
 * bestimmte Position hat und diese zurückgeben kann.
 */
public class PositionsButton extends AppCompatButton {

    private Position position;

    public PositionsButton(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);

    }

    public PositionsButton(Context context, AttributeSet attrs) {
        super(context, attrs);

    }

    public PositionsButton(Context context) {
        super(context, (AttributeSet)null);
    }


    /**
     * Gibt die Positions des PositionsButtons wieder
     *
     * @return Position
     */
    public Position gibPosition() {
        return this.position;
    }


    /**
     * Setzt die Position des Positionsbuttons
     * @param p die neue Position
     */
    public void setzePosition(Position p) {
        this.position = p;
    }

}
